﻿header, nav, div, a {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Helvetica Neue", Arial, sans-serif;
    text-decoration: none;
}

header, nav, div, a, footer {
    font-family: 'Open Sans', Arial, sans-serif;
}
    
header{
    width: 100%;
}

#navBar1{
    height:7vh;
    display: flex;
    justify-content: space-between;
    align-items:center;
    font-size:15px;
}

#navBar1 a {
    color: black;
    height: 100%;
}

.navBar1-left {
    margin-left: 35px;
}

.navBar1-left a{
    margin: 0px 10px;
}

    .navBar1-left a,
    .dropdown-content a {
        font-family: 'noto serif', serif;
        font-size: 16px;
    }

.dropdown{
    position: relative;
    display: inline-block;
}

.dropbtn{
    color: black;
    text-decoration: none;
    font-size: 17px;
    position: relative;
}

    .dropbtn::after {
        content: "";
        position: absolute;
        bottom: -26px;  /* space below the button */
        left: 50%;
        transform: translateX(-50%);
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-bottom: 15px solid white;
        opacity: 0;
        z-index: 1001;
    }

.dropdown:hover .dropbtn::after {
    opacity: 1;
    bottom: -26px;
}

.dropdown-content{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 400px;
    box-shadow: 0px 4px 10px rgba(0,0,0,0.15);
    background-color: white;
    z-index: 1000;
    border-radius: 0px;
    font-size: 20px;
    transform: translateY(25px);
    padding: 20px;
}

.dropdown-content::before {
    content: "";
    position: absolute;
    width: 100%;
    background-color: transparent;
    top: -25px;
    height: 40px;
    z-index: -1;
}

.dropdown-content a {
    color: black;
    padding: 20px 16px;
    text-decoration: none;
    display: block;
    font-size: 19px;
    font-weight: 200;
}

.dropdown-content a:hover {
    font-weight: 600;
}

.dropdown:hover .dropdown-content{
    display: block;
}

#rightSideLinks {
    display: flex;
    align-items: center;
    height: 100%;
    margin-right: 15px;
}

    #rightSideLinks a {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        border-radius: 0;
        font-family: 'bebas-neue', sans-serif;
        font-weight: 600;
        text-transform: uppercase;
        padding: 15px;
    }

    #rightSideLinks a:hover {
        background-color: #FFCC00;
        color: black;
    }

#navBar2 {
    background-color: #9D2235;
    margin-bottom: 1px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 25px 19px 25px;

}
#navBar2 > div:first-child {
    display: flex;
    align-items: center; 
    gap: 15px; 
}

#navBar2 a {
    color: white;
    margin: 0 5px;
    font-size:1.25rem;
    font-family: 'noto serif', serif;
}


.navBar2-links {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px 8px;
}

    /* Fade all links when hovering anywhere in the group */
    .navBar2-links:hover .navBar2-link {
        opacity: 0.5;
    }

    /* Brighten the hovered link */
    .navBar2-links .navBar2-link:hover {
        opacity: 1 !important;
        filter: brightness(1.9);
        font-weight: 500; /* subtle increase, minimal size shift */
        text-shadow: 0px 0px 2px rgba(255,255,255,1);
    }

#navBar2 .search-icon {
    width: 35px;
    height: 35px;
}

/*Search section navBar2*/
.search-section{
    position: relative;
    display:flex;
    align-items: center;
    border-bottom: 1px solid transparent;
}

.search-section.active{
    border-bottom: 1px solid white;
}

.search-input {
    width: 0;
    opacity: 0;
    font-size: 18px;
    color: white;
    background: transparent;
    border: none;
    outline: none;
    position: relative;
    margin-left: 0;
    padding-left: 0;
    padding-bottom: 15px;
    margin-right: 8px;
    pointer-events: none;
}

    .search-input::placeholder {
        color: white;
        text-transform: uppercase;
        font-size: 18px;
        font-stretch: 85%;
        font-weight: 600;
    }

    .search-input.active {
        width: 250px;
        height: 30px;
        opacity: 1;
        pointer-events: auto;
    }

#searchBtn {
    background:none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}



#navBar3 {
    background-color: #9D2235;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 20px 10px;

}

    .dropbtn3 {
        font-family: 'Montserrat', sans-serif;
        font-variation-settings: 'wght' ;
        color: white;
        margin: 0 10px;
        font-size: 20px;
        font-weight: 580;
        text-transform: uppercase;
        border-bottom: 2px solid transparent;
    }

.dropbtn3:hover {
    color: White;
    border-bottom: 2px solid White;
}

/*Newly added Navbar3 code*/
.dropdown3 {
    position: relative;
    display: inline-block;
}

.dropbtn3::before{
    content:"";
    position: absolute;
    bottom: -35px;
    left: 0;
    width: 100%;
    height: 40px;
    background: transparent;
}

    .dropbtn3::after {
        content: "";
        position: absolute;
        bottom: -35px; /* space below the button */
        left: 50%;
        transform: translateX(-50%);
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-bottom: 15px solid white;
        opacity: 0;
        z-index: 1001;
    }

.dropdown3:hover .dropbtn3::after {
    opacity: 1;
    bottom: -35px;
}

.dropdown3-content {
    display: none;
    position: absolute;
    top: 140%;
    left: 0;
    width: 400px;
    box-shadow: 0px 4px 10px rgba(0,0,0,0.15);
    background-color: white;
    z-index: 1000;
    border-radius: 0px;
    font-family: 'noto serif', serif;
    font-size: 20px;
    transform: translateY(25px);
    padding: 20px;
}

    .dropdown3-content a {
        font-family: 'noto serif', serif;
    }

    .dropdown3-content::before {
        content: "";
        position: absolute;
        width: 100%;
        background-color: transparent;
        top: -25px;
        height: 40px;
        z-index: -1;
    }

    .dropdown3-content a {
        color: black;
        padding: 20px 16px;
        text-decoration: none;
        display: block;
        font-size: 19px;
        font-weight: 200;
    }

        .dropdown3-content a:hover {
            font-weight: 600;
        }

.dropdown3:hover .dropdown3-content {
    display: block;
}

.dropdown3.right-align .dropdown3-content {
    left: auto;
    right: 0;
}

.stickyNav {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #9D2235;
    z-index: 999;
    display: none; /* hide by default */
    transition: all 0.3s ease-in-out;
}

#stickyNav.visible {
    display: flex;
    justify-content:space-between ;
    align-items: center;
    padding: 10px 40px;
}

#stickyLeft img{
    height: 46px;
    width: auto;
    margin-left: 50%;
}

#stickyRight a {
    background-color: white;
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    font-family: 'bebas-neue', sans-serif;
    font-weight: 600;
    font-size: 15px;
    margin: 0px 10px;
    padding: 15px 15px;
}

    #stickyRight a:hover {
        background-color: #FFCC00;
        color: black;
    }

body {
    background-color: #f8f8f8;
}

footer {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    background-color: #242424;
    margin: 0;
    color: white;
    padding: 45px 20px 50px 0px;
}

.footer-top .footer-logo,
.footer-top .footer-contact,
.footer-top .footer-quick-links,
.footer-top .footer-socials {
    flex: 1;
    min-width: 200px;
    margin: 10px;
}

#footer-col1,
.footer-col2,
#footerCol3{
    display:flex;
    flex-direction: column;
}

#footer-col1{
    margin: 2%;
}

#footer-col1 p {
    padding-left: 8%;
}

.footer-col2 {
    display: flex;
    flex-direction: column; 
    justify-content: space-around;
    flex: 1;
}

.footer-contact a{
    text-decoration: none;
    color: white;
}

#myPark-anchor{
    margin: 10px;
    padding-bottom: 15%;
}

#myPark-anchor a {
    text-transform: uppercase;
    text-decoration: none;
    color: white;
}

.footer-socials a {
    padding-right: 6%;
}

#myPark-anchor a:hover,
.phonenumber:hover {
    color: #F5A81C;
}

.footer-socials a:hover img {
    filter: brightness(0) saturate(100%) invert(61%) sepia(68%) saturate(628%) hue-rotate(6deg) brightness(103%) contrast(101%);
}



.footer-quick-links {
    display: grid;
    grid-template-rows: repeat(3, auto); /* 3 columns by default */
    grid-auto-flow: column;
    grid-auto-columns: minmax(0, 180px);
    gap: 15px 30px;
}

.footer-link {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    text-transform: uppercase;
    color: white;
    text-decoration: none; /* remove default underline */
    padding: 0;
    border-bottom: 2px solid rgba(119, 119, 119, 0.5); /* gray underline */
    transition: color 0.3s ease;
    font-size: 18px;
    font-weight: 500;
    margin-top: 15px;
}

.footer-link:hover {
    color: #F5A81C;
}

.footer-bottom {
    background-color: black;
    color: white;
    margin: 0;
    padding: 40px 30px 100px 30px;
    text-align: left;
}

.footer-bottom p{
    margin-left:20%; 
}

.bottom-footer-anchor {
    text-decoration: none;
    color: white;
    border-bottom: 1px solid #9D2235;
}
.bottom-footer-anchor:hover {
        border-bottom: 2px solid #9D2235;
    }